Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXNotSupportedException Class Reference

ACEXML_SAXNotSupportedException. More...

`#include "ACEXML/common/SAXExceptions.h"`

Inheritance diagram for ACEXML_SAXNotSupportedException:

[legend]
Collaboration diagram for ACEXML_SAXNotSupportedException:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXNotSupportedException (void)
| Default constructor. More...
| ACEXML_SAXNotSupportedException (const ACEXML_SAXNotSupportedException &ex)
| Copy constructor. More...
virtual | ~ACEXML_SAXNotSupportedException (void)
| Destructor. More...
virtual const ACEXML_Char * | id (void)
| Return the exception type. (for safe downcast.). More...
virtual ACEXML_Exception * | duplicate (void)
| Dynamically create a copy of this exception. More...
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specify by <name>. More...
virtual void | print (void)
| Print out exception using ACE_DEBUG. More...
## Static Public Methods
const ACEXML_Char * | name (void)
| Accessor for the exception name. More...
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACEXML_SAXNotSupportedException_name
| All exceptions have names. This name is used to identify the type of an exception. More...

## Detailed Description

ACEXML_SAXNotSupportedException.

## Constructor & Destructor Documentation

ACEXML_SAXNotSupportedException::ACEXML_SAXNotSupportedException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXNotSupportedException::ACEXML_SAXNotSupportedException | ( | const ACEXML_SAXNotSupportedException & | ex | ) |

| Copy constructor.

ACEXML_SAXNotSupportedException::~ACEXML_SAXNotSupportedException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_Exception * ACEXML_SAXNotSupportedException::duplicate | ( | void |  | ) | `[virtual]`

| Dynamically create a copy of this exception. Reimplemented from ACEXML_SAXException.

const ACEXML_Char * ACEXML_SAXNotSupportedException::id | ( | void |  | ) | `[virtual]`

| Return the exception type. (for safe downcast.). Reimplemented from ACEXML_SAXException.

int ACEXML_SAXNotSupportedException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specify by <name>. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXNotSupportedException::name | ( | void |  | ) | `[static]`

| Accessor for the exception name. Reimplemented from ACEXML_SAXException.

void ACEXML_SAXNotSupportedException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Reimplemented from ACEXML_SAXException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXNotSupportedException::exception_name_ = ACEXML_SAXNotSupportedException_name`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_SAXException.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i